Top

VirusBarrier iOS 2.0 requires iOS 8

If you are running an older version of iOS, you will be offered our VirusBarrier iOS 1.6 version.

To determine your iOS version, click here: iOS Software Version

 

Have more questions? Submit a request

Comments